reflex::Pattern::Option Struct Reference

|  | reflex::Pattern::Option Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::Pattern::Option Struct Reference

Global modifier modes, syntax flags, and compiler options. More...

Collaboration diagram for reflex::Pattern::Option:
[legend]

## Public Member Functions
| Option ()

## Public Attributes
bool | b
| disable escapes in bracket lists More...
bool | h
| construct indexing hash finite state automaton More...
Char | e
| escape character, or > 255 for none, a backslash by default More...
std::vector< std::string > | f
| output the patterns and/or DFA to files(s) More...
int | g
| debug level 0,1,2: output a cut DFA graphviz file with option f, predict match and HFA states More...
bool | i
| case insensitive mode, also `(?i:X)` More...
bool | m
| multi-line mode, also `(?m:X)` More...
std::string | n
| pattern name (for use in generated code) More...
bool | o
| generate optimized FSM code with option f More...
bool | p
| with option f also output predict match array for fast search with find() More...
bool | q
| enable "X" quotation of verbatim content, also `(?q:X)` More...
bool | r
| raise syntax errors as exceptions More...
bool | s
| single-line mode (dotall mode), also `(?s:X)` More...
bool | w
| write error message to stderr More...
bool | x
| free-spacing mode, also `(?x:X)` More...
std::string | z
| namespace (NAME1.NAME2.NAME3) More...

## Detailed Description

Global modifier modes, syntax flags, and compiler options.

## Constructor & Destructor Documentation

reflex::Pattern::Option::Option | ( |  | ) |
| inline

## Member Data Documentation

bool reflex::Pattern::Option::b

disable escapes in bracket lists

Char reflex::Pattern::Option::e

escape character, or > 255 for none, a backslash by default

std::vector<std::string> reflex::Pattern::Option::f

output the patterns and/or DFA to files(s)

int reflex::Pattern::Option::g

debug level 0,1,2: output a cut DFA graphviz file with option f, predict match and HFA states

bool reflex::Pattern::Option::h

construct indexing hash finite state automaton

bool reflex::Pattern::Option::i

case insensitive mode, also `(?i:X)`

bool reflex::Pattern::Option::m

multi-line mode, also `(?m:X)`

std::string reflex::Pattern::Option::n

pattern name (for use in generated code)

bool reflex::Pattern::Option::o

generate optimized FSM code with option f

bool reflex::Pattern::Option::p

with option f also output predict match array for fast search with find()

bool reflex::Pattern::Option::q

enable "X" quotation of verbatim content, also `(?q:X)`

bool reflex::Pattern::Option::r

raise syntax errors as exceptions

bool reflex::Pattern::Option::s

single-line mode (dotall mode), also `(?s:X)`

bool reflex::Pattern::Option::w

write error message to stderr

bool reflex::Pattern::Option::x

free-spacing mode, also `(?x:X)`

std::string reflex::Pattern::Option::z

namespace (NAME1.NAME2.NAME3)

The documentation for this struct was generated from the following file:

- pattern.h